namespace Tesses.CMS.Avalonia.ViewModels;
using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using CommunityToolkit.Mvvm.Messaging;
using LibVLCSharp.Shared;

public partial class DownloadsPageViewModel : ViewModelBase
{
    public DownloadsPageViewModel()
    {
        LibVLC vlc=new LibVLC("--input-repeat=65535");

        Player=new MediaPlayer(new Media(vlc,"https://tytdarchive.site.tesses.net/content/PreMuxed/PzUKeGZiEl0.mp4",FromType.FromLocation));
        

    }
    [ObservableProperty]
    private MediaPlayer? _player;
}