namespace Tesses.CMS.Avalonia.ViewModels;
using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using CommunityToolkit.Mvvm.Messaging;
using Tesses.CMS.Avalonia.ViewModels.HomePages;

public partial class HomePageViewModel : ViewModelBase
{
    public HomePageViewModel()
    {
        _currentPage = new HomeUserListPageViewModel(this);
    }
    [ObservableProperty]
    private ViewModelBase _currentPage;

    [RelayCommand]
    private void Back()
    {
        var page = CurrentPage as IBackable;
        if(page != null)
        {
            CurrentPage = page.Back();
        }
        else
        {
            //can't go back
        }
    }
}